Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class DescriptorSupport

    java.lang.Object
      javax.management.modelmbean.DescriptorSupport

All Implemented Interfaces:
  Cloneable, Descriptor, Serializable

public class DescriptorSupport
extends Object
implements Descriptor

Support class for creating descriptors.

Version:
  $Revision: 1.24 $
Author:
  Juha Lindfors., Adrian Brock., Thomas Diesler., Dimitris Andreadis *
See Also:
  `Descriptor`, Serialized Form

Constructor Summary
`DescriptorSupport()` Default constructor.
`DescriptorSupport(DescriptorSupport descriptor)` Copy constructor.
`DescriptorSupport(int initialSize)` Creates descriptor instance with a given initial size.
`DescriptorSupport(String xmlString)` Descriptor constructor taking an XML String.
`DescriptorSupport(String[] fields)`
`DescriptorSupport(String[] fieldNames, Object[] fieldValues)` Creates descriptor instance with given field names and values.if both field names and field values array contain empty arrays, an empty descriptor is created.

Method Summary
`Object` | `clone()` Returns a descriptor that is a duplicate of this one.
`String[]` | `getFieldNames()` Returns string array of fields names.
`String[]` | `getFields()` Returns String array of fields in the format fieldName=fieldValue.
`Object` | `getFieldValue(String inFieldName)` Retrieves the value of a field.
`Object[]` | `getFieldValues(String[] fieldNames)` Returns all the field values in the descriptor as an array of Objects.
`boolean` | `isValid()` Returns true if all of the fields have legal values given their names.
`void` | `removeField(String fieldName)` Remove a field from the descriptor.
`void` | `setField(String inFieldName, Object fieldValue)` Sets the value of a field.
`void` | `setFields(String[] fieldNames, Object[] fieldValues)` Sets all Fields in the list to the new value in with the same index in the fieldValue array.
`String` | `toString()`
`String` | `toXMLString()` Returns an XML String representing the descriptor.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescriptorSupport

    public DescriptorSupport()

  Default constructor.

### DescriptorSupport

    public DescriptorSupport(int initialSize)
                      throws MBeanException

  Creates descriptor instance with a given initial size.

Parameters:
  `initialSize` - initial size of the descriptor
Throws:
  `MBeanException` - this exception is never thrown but is declared here for Sun RI API compatibility
  `RuntimeOperationsException` - if the `initialSize` is zero or negative. The target exception wrapped by this exception is an instace of `IllegalArgumentException` class.

### DescriptorSupport

    public DescriptorSupport(DescriptorSupport descriptor)

  Copy constructor.

Parameters:
  `descriptor` - the descriptor to be copied
Throws:
  `RuntimeOperationsException` - if descriptor is null. The target exception wrapped by this exception is an instance of `IllegalArgumentException` class.

### DescriptorSupport

    public DescriptorSupport(String[] fieldNames,
                             Object[] fieldValues)
                      throws RuntimeOperationsException

  Creates descriptor instance with given field names and values.if both field names and field values array contain empty arrays, an empty descriptor is created. None of the name entries in the field names array can be a `null` reference. Field values may contain `null` references.

Parameters:
  `fieldNames` - Contains names for the descriptor fields. This array cannot contain `null` references. If both `fieldNames` and `fieldValues` arguments contain `null` or empty array references then an empty descriptor is created. The size of the `fieldNames` array must match the size of the `fieldValues` array.
  `fieldValues` - Contains values for the descriptor fields. Null references are allowed.
Throws:
  `RuntimeOperationsException` - if array sizes don't match

### DescriptorSupport

    public DescriptorSupport(String[] fields)

### DescriptorSupport

    public DescriptorSupport(String xmlString)
                      throws MBeanException,
                             RuntimeOperationsException,
                             XMLParseException

  Descriptor constructor taking an XML String. In this implementation, all field values will be created as Strings. If the field values are not Strings, the programmer will have to reset or convert these fields correctly.

Method Detail

### getFieldValue

    public Object getFieldValue(String inFieldName)

  Description copied from interface: `Descriptor`
  Retrieves the value of a field.

  Specified by:
    `getFieldValue` in interface `Descriptor`
  Parameters:
    `inFieldName` - the name of the field.
  Returns:
    the value of the field.

### setField

    public void setField(String inFieldName,
                         Object fieldValue)

  Description copied from interface: `Descriptor`
  Sets the value of a field.

  Specified by:
    `setField` in interface `Descriptor`
  Parameters:
    `inFieldName` - the name of the field.
    `fieldValue` - the value of the field.

### getFields

    public String[] getFields()

  Returns String array of fields in the format fieldName=fieldValue. If there are no fields in the descriptor, then an empty String array is returned. If a fieldValue is not a String then the toString() method is called on it and its returned value is used as the value for the field enclosed in parenthesis.

  Specified by:
    `getFields` in interface `Descriptor`
  Returns:
    an array of fieldName=fieldValue strings.

### getFieldNames

    public String[] getFieldNames()

  Returns string array of fields names. If the descriptor is empty, you will get an empty array.

  Specified by:
    `getFieldNames` in interface `Descriptor`
  Returns:
    an array of field name strings.

### getFieldValues

    public Object[] getFieldValues(String[] fieldNames)

  Returns all the field values in the descriptor as an array of Objects. The returned values are in the same order as the fieldNames String array parameter.

  Specified by:
    `getFieldValues` in interface `Descriptor`
  Parameters:
    `fieldNames` - the array of field names to retrieve. Pass null to retrieve all fields.
  Returns:
    an array of field values.

### setFields

    public void setFields(String[] fieldNames,
                          Object[] fieldValues)

  Sets all Fields in the list to the new value in with the same index in the fieldValue array. Array sizes must match. The field value will be validated before it is set (by calling the method isValid) If it is not valid, then an exception will be thrown. If the arrays are empty, then no change will take effect.

  Specified by:
    `setFields` in interface `Descriptor`
  Parameters:
    `fieldNames` - an array of fieldNames to set. Neither the array or array elements can be null. The fieldName must exist.
    `fieldValues` - an array of fieldValues to set. Neither the array or array elements can be null. The fieldValue must be valid for the corresponding fieldName.

### clone

    public Object clone()

  Description copied from interface: `Descriptor`
  Returns a descriptor that is a duplicate of this one.

  Specified by:
    `clone` in interface `Descriptor`

### removeField

    public void removeField(String fieldName)

  Description copied from interface: `Descriptor`
  Remove a field from the descriptor.

  Specified by:
    `removeField` in interface `Descriptor`
  Parameters:
    `fieldName` - the field to remove. No exception is thrown when the field is not in the descriptor.

### isValid

    public boolean isValid()
                    throws RuntimeOperationsException

  Returns true if all of the fields have legal values given their names. This implementation does not support interopreating with a directory or lookup service. Thus, conforming to the specification, no checking is done on the "export" field. Otherwise this implementation returns false if: - name and descriptorType fieldNames are not defined, or null, or empty, or not String - class, role, getMethod, setMethod fieldNames, if defined, are null or not String - persistPeriod, currencyTimeLimit, lastUpdatedTimeStamp, lastReturnedTimeStamp if defined, are null, or not a Numeric String or not a Numeric Value >= -1 - log fieldName, if defined, is null, or not a Boolean or not a String with value "t", "f", "true", "false". These String values must not be case sensitive. - visibility fieldName, if defined, is null, or not a Numeric String or a not Numeric Value >= 1 and <= 4 - severity fieldName, if defined, is null, or not a Numeric String or not a Numeric Value >= 1 and <= 5 - persistPolicy fieldName, if defined, is null, or not a following String : - "OnUpdate", "OnTimer", "NoMoreOftenThan", "Always", "Never". These String values must not be case sensitive.

  Specified by:
    `isValid` in interface `Descriptor`
  Returns:
    true if the values are legal.
  Throws:
    `RuntimeOperationsException` - If the validity checking fails for any reason, this exception will be thrown.

### toXMLString

    public String toXMLString()
                       throws RuntimeOperationsException

  Returns an XML String representing the descriptor.

  Throws:
    `RuntimeOperationsException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.